import _extends from "@babel/runtime/helpers/esm/extends";
import _inheritsLoose from "@babel/runtime/helpers/esm/inheritsLoose";
import React, { Component } from 'react';
import PropTypes from 'prop-types';
import ScriptLoader from '@s-ui/react-script-loader';

var TrackingView =
/*#__PURE__*/
function (_Component) {
  _inheritsLoose(TrackingView, _Component);

  function TrackingView(props) {
    var _this;

    _this = _Component.call(this, props) || this;

    _this.overrideTrackingBaseCfg();

    return _this;
  }

  var _proto = TrackingView.prototype;

  _proto.shouldComponentUpdate = function shouldComponentUpdate() {
    return false;
  };

  _proto.overrideTrackingBaseCfg = function overrideTrackingBaseCfg() {
    var _this$props = this.props,
        overridePropName = _this$props.overridePropName,
        configOverridesObject = _this$props.configOverridesObject;

    if (typeof window !== 'undefined') {
      window[overridePropName] = _extends({}, window[overridePropName], {}, configOverridesObject);
    }
  };

  _proto.render = function render() {
    var _this2 = this;

    if (typeof window !== 'undefined' && (window.document.location.href.match('disable-tealium') || window.sessionStorage.getItem('disable-tealium'))) {
      return null;
    }

    return React.createElement(ScriptLoader, {
      isAsync: false,
      render: function render() {
        return !_this2.props.track() && null;
      },
      src: this.props.src,
      verifier: this.props.verifier
    });
  };

  return TrackingView;
}(Component);

TrackingView.displayName = 'TrackingView';
TrackingView.defaultProps = {
  overridePropName: 'utag_cfg_ovrd',
  configOverridesObject: {
    noview: true
  }
};
export default TrackingView;